Get list of CDRs

Returns a paginated list of Call Detail Records (CDRs). Use the cursor returned in metadata.next_cursor to continue fetching records beyond the first 10000 results. When cursor is not provided, pagination is limited to the first 10000 records using limit and offset.

Query Params
integer
0 to 1000
Defaults to 100

The number of items to return.

integer
≥ 0
Defaults to 0

The number of items to skip before starting to collect the result set. Ignored when a valid cursor is provided.

string

Cursor returned in the previous response metadata as next_cursor. Treat this value as an opaque token and pass it back unchanged. If both cursor and offset are provided: a valid cursor takes priority and offset is ignored. If cursor is invalid, the API falls back to offset-based pagination. If the fallback offset is also invalid, the API returns 400 Bad Request.

enum

Filter by CDR type. Accepts a single value or an array.

Filter by external account ID. Accepts a single value or an array.

enum

Filter by CDR subtype. Accepts a single value or an array.

enum

Filter by disposition. Accepts a single value or an array.

Filter by wrap-up code. Accepts a single value or an array.

enum

Filter by end reason. Accepts a single value or an array.

enum

Filter by event tag. Accepts a single value or an array. Special value all_transfers expands to all transfer types.

Filter by caller phone number. Accepts a single value or an array. Cannot be used with from_phone_number_like.

Filter by destination phone number. Accepts a single value or an array of values. Cannot be used with to_phone_number_like.

string

Filter by caller phone number pattern. Use * as a wildcard. Cannot be used with from_phone_number.

string

Filter by destination phone number pattern. Use * as a wildcard. Cannot be used with to_phone_number.

Filter by source channel account ID. Accepts a single value or an array.

Filter by destination channel account ID. Accepts a single value or an array.

Filter by source channel profile ID. Accepts a single value or an array.

Filter by destination channel profile ID. Accepts a single value or an array.

Filter by user ID. Accepts a single value or an array.

Filter by team ID. Accepts a single value or an array.

Filter by queue ID. Accepts a single value or an array.

Filter by campaign ID. Accepts a single value or an array.

Filter by destination country name. Accepts a single value or an array.

≥ 0

Filter by conversation score or score range.

≥ 0

Filter by overall duration (seconds) or by duration range.

≥ 0

Filter by dialing duration (seconds) or by duration range.

≥ 0

Filter by time spent in IVR (seconds) or by a duration range.

≥ 0

Filter by time spent in queue (seconds) or by a duration range.

≥ 0

Filter by time spent talking (seconds) or by a duration range.

≥ 0

Filter by time spent on hold (seconds) or by a duration range.

Filter by start time or by start time range.

Filter by end time or by end time range.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json